

  <?php
	include_once("../header.php");
        include_once("../php/config.php");

$fecha1 = $_GET["fecha1"];
$fecha2 = $_GET["fecha2"];
$n = $_GET["n"];
        $sql = mysql_query("select * from ingresos where fecha between '$fecha1' and '$fecha2' and cliente like '%".$_GET['filtro']."%'") or die(mysql_error());
	
     $sql_cliente = mysql_query("select * from clientes order by nombre asc") or die(mysql_error());
  

		$cuentas = mysql_query("select * from enlace_cuentas") or die(mysql_error());
$otros_ingresos = @mysql_result($cuentas, 0, "otros_ingresos");


$sql5810 = mysql_query("select * from login where nombre='".$_COOKIE['usuario']."'") or die(mysqli_error($con));
$estado_caja = @mysql_result($sql5810, 0, "estado_caja");



		if($estado_caja!="Abierta" and $_COOKIE["nivel"]=="Cajero"){
			header("location: estado_caja.php");
		}


		if($estado_caja!="Abierta" and $_COOKIE["nivel"]=="Almacen"){
			header("location: estado_caja.php");
		}


	?>
<style>
  .form-control{
    font-size: 13px;
  }



  th{
    font-size:18px;
    text-align: left;
  }

    td{
    font-size:13px;
  }
</style>
 <div class="container" style="background:white; padding:15px">

<span class="text-primary h2"><i class="bi bi-cash-coin"></i> Movimientos de caja hoy</span>
<hr>
        

    <div class="row">
      <div class="col-md-3  mt-2 mb-2">    
            <a class="btn btn-success" href="#modalIngreso" data-toggle="modal"><i class="bi bi-cash-coin"></i> Registrar ingreso</a>
             
            <a class="btn btn-warning" href="egresos.php"><i class="bi bi-cash-stack"></i> Gastos</a>
        </div>  
     
                        <div class="col-md-1 mt-2">
                            <b>Clientes</b>
                        </div>
                        <div class="col-md-2 mt-2">
                            <select  class="form-control  mb-2" id="txt_buscar" class="form-control">

                                <option value="" selected>Sel. cliente</option>
                                <?php while ($r = mysql_fetch_array($sql_cliente)) { ?>
                                    <option value="<?php echo $r['nombre'] ?>"><?php echo $r['nombre'] ?></option>
                                <?php } ?>
                            </select>
              
              <script>
              $(function(){
                $("#txt_buscar").select2()
              })
              </script>
          </div>  

        <div class="col-md-2 mt-2 mb-2">
            <input type="hidden" id="curFecha" value="<?php echo $hoy?>">

       <input type="Date" id="fecha1" placeholder="Filtrar registros..." class="form-control" value="<?php echo $_GET['fecha1']?>">
      </div>
      <div class="col-md-2 mt-2 mb-2">
       <input type="Date" id="fecha2" placeholder="Filtrar registros..." class="form-control" value="<?php echo $_GET['fecha2']?>">
      </div>
      

        <div class="col-md-4   mt-2 mb-2"> 
            
                  <a class="btn btn-default" href="#" onClick="filtrar()"><i class="bi bi-search"></i><span style="font-weight:bolder;"> Filtrar</span></a>

            <a class="btn btn-default mb-2  ml-2" href="../menu/menu.php"><i class="bi bi-door-open"></i> Salir</a>
       </div>
     
</div>

   <script>
   function filtrar(){
    var t = $("#txt_buscar").val();
    var fecha1 = $("#fecha1").val();
    var fecha2 = $("#fecha2").val();
  
  if(fecha1==""){fecha1 = "<?php echo $hoy?>";}
  if(fecha2==""){fecha2 = fecha1;}
    window.location.href="ingresos.php?filtro="+t+"&fecha1="+fecha1+"&fecha2="+fecha2;
   }
 </script>
				<div class="table-responsive border p-3">
					<table class="table table-hover" data-page-length='8'>
						
							
							<th>Fecha</th>
							<th>Hora</th>
              <th>Cliente</th>
             
              <th>Monto</th>
               <th>Moneda</th>
			         <th>Concepto</th>
                <th>usuario</th>
			         <th>--</th>
                <th>Editar</th>
				
					
            <?php while($r=mysql_fetch_array($sql)){
              $id = $r["id"];
              $c++;
              
              

   if($r["moneda"]=="PESOS"){
      $total_pesos +=$r["monto"];
   }

  if($r["moneda"]=="GOURDE"){
              $total_gourde +=$r["monto"];
   }

  if($r["moneda"]=="DOLAR"){
              $total_dolar +=$r["monto"];
   }

              ///$balance+=$r["balance"];
              ///$costo+=$r["costo"];
              ///$ganancia+=$r["total"] - $costo;
              ?>
							<tr>
							
                <td><span class="text-primary"><?php echo fecha($r["fecha"])?></span></td>
				<td><?php echo $r["hora"]?></td>
								<td><?php echo $r["cliente"]?></td>
                 <td><?php echo decimal($r["monto"])?></td>
                  <td><b><?php echo ($r["moneda"])?></b></td>
				 <td><i class="bi bi-stickies"></i> <?php echo $r["concepto"]?></td>
                <td><?php echo $r["usuario"]?></td>
               
             
               <td><a class="btn btn-success" href="javascript:void(0)" onClick="reimprimir('<?php echo $id?>')" ><i class="bi bi-printer"></i></a></td>
              
               <td>
              <?php if($r['tipo']!='Credito'){?>
               <a class="btn btn-rojo" href="javascript:void(0)" onClick="ver('<?php echo $id?>')" ><i class="bi bi-pen"></i>
              <?php }?>
              </a>

               </td>
							</tr>
                                                        <?php }?>
						
               <b> Cant. ingreso: <?php echo $c?> | 
              
              
                Pesos: <?php echo decimal($total_pesos);?> |  Gourde: <?php echo decimal($total_gourde);?> |  Dolar: <?php echo decimal($total_dolar);?></b>
             

					</table>
				</div>
			</div>
		</div>
		
        </div>
      </div>
      


          

    </div>


<!---Modal ingreso-->
<div class="modal" id="modalIngreso" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-calendar"></i> Registro de ingreso</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 

			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Id</label>
          <div class="col-sm-2">
            <input autocomplete="off" type="text"  disabled class="form-control mb-2 font-weight-bolde" id="id" name="id" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Monto</label>
          <div class="col-sm-3">
            <input autocomplete="off" type="number"  class="form-control mb-2" id="monto" name="monto" value="">
          </div>
        </div>
		
		 <div class="row mt-2">
          <label for="codigo" class="col-sm-3 col-form-label" >Moneda</label>
          <div class="col-sm-3">
            <select id="moneda">
				<option value=""></option>
				<option value="PESOS">PESOS</option>
				<option value="GOURDE">GOURDE</option>
				<option value="DOLAR">DOLAR</option>
			</select>
          </div>
        </div>
        
        <div class="row mt-2">
         <div class="col-md-3">
       
            <b>Cliente</b>
          </div>

          <div class="col-md-9">
           <input autocomplete="off" type="text"  class="form-control mb-2" id="clientes" name="clientes" value="">
          </div>
        </div>
		
		
		 <div class="row mt-2">
		 <div class="col-md-3">
       <label for="codigo" class="col-sm-3 col-form-label" >Tipo</label>
          </div>
          
          <div class="col-sm-3">
            <select id="tipo" onChange="$('#concepto').val(this.value+', '); $('#concepto').select();$('#concepto').focus();">
				<option value=""></option>
				<option value="Pago de credito">Pago credito</option>
				<option value="Inicio de caja">Inicio de caja</option>
				<option value="Otros">Otros</option>
			</select>
          </div>
        </div>

        <div class="row mt-2">
          <label for="codigo" class="col-sm-3 col-form-label" >Concepto</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="concepto" name="concepto" value="">
          </div>
        </div>

         

			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar()"><i class="fa fa-w fa-save"></i> Grabar</button>
  <button class="btn btn-success" type="button" onclick="borrar()"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>


	<!---Modal Cliente-->
	<div class="modal" id="modalBusqueda" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-calendar"></i> Busqueda por fecha</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 

			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Desde</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2 font-weight-bolde" id="fecha1" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Hasta</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2" id="fecha2" name="fecha2" value="">
          </div>
        </div>

         

			  
			  
		  </form>
		  <input type="hidden" value="<?php echo $houy?>">
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="buscar()"><i class="fa fa-w fa-save"></i> Grabar</button>
          

            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>

  var n = "<?php echo $n?>";

$("#delete").hide();
id_producto="";
function ver(id){
  $("#modalIngreso").modal("show")
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from ingresos where id='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    ///id_producto= rs.data[i].id_producto;             
                    
                    $("#monto").val(rs.data[i].monto);
                    
                    $("#id").val(rs.data[i].id);
                    $("#concepto").val(rs.data[i].concepto);
                   
                    
                    $("#clientes").val(rs.data[i].cliente);
                }
                
            })
        }

  function grabar(){
	 /* 
	  	var estado_caja = localStorage.getItem("estado_caja");
			if(estado_caja=="cerrada"){
		     ////document.write("Esta terminar estacerrada...");
		     ////window.location.href='../pos/turnos_caja.php';
			 alert("Esta caja esta cerrada");
			 return;

	}
  */
     if(!confirm("Seguro(a) que desea registrar este ingreso?")){return;}                   
    var fecha = $("#curFecha").val();
    var hora = "<?php echo $hora?>";

     var id = $("#id").val();
     var monto = $("#monto").val();
	  var moneda = $("#moneda").val();
	  var tipo = $("#tipo").val();
     var cliente = $("#clientes").val();
     var concepto = $("#concepto").val();
 
     var acuenta = "<?php echo $otros_ingresos?>";
     var curFecha = $("#curFecha").val();
     var curHora = "<?php echo $hora?>";


     if(cliente=="" || monto=="" || concepto=="" || moneda==""){alert('Faltan datos'); return}
    var sql="";      
                  
        if(id==""){
            sql="INSERT INTO ingresos set ";
            sql+=" monto='"+monto+"'";
            sql+=", cliente='"+cliente+"'";
            sql+=", concepto='"+concepto+"'";
            ////sql+=", secuencia='"+secuencia+"'";
            sql+=", usuario='"+myUser+"'";
			 sql+=", moneda='"+moneda+"'";
            sql+=", tipo='Otros'"; 
			sql+=", efectivo='"+monto+"'"; 
            sql+=", fecha='"+fecha+"'"; 
            sql+=", hora='"+hora+"'"; 

        }else{
            sql="UPDATE ingresos set";
            sql+=" monto='"+monto+"'";
			 sql+=", moneda='"+moneda+"'";
            sql+=", cliente='"+cliente+"'";
            sql+=", concepto='"+concepto+"'";
            ///sql+=", secuencia='"+secuencia+"'";
            sql+=", usuario='"+myUser+"'";
            sql+=", tipo='Otros'"; 
            sql+=", fecha='"+curFecha+"'";
            sql+=", hora='"+curHora+"'";
            sql+=" WHERE id='"+id+"'";
           
            
        }
        $("button").prop("disabled", true);
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $(".modal").modal('hide');
		      updateCuenta(acuenta, monto)

         imprimir()

         if(n==1){
          self.close();
          opener.location.reload();
         }else{
             setTimeout(function(){window.location.reload()},2000)
         }

      }else{
          alert(data);
          
      }
       
    })
}
  
function updateCuenta(acuenta, total){
	  try{
            var sql="";                            
            sql="UPDATE cuentas set balance=balance + '"+total+"' where numero_cuenta='"+acuenta+"'";
            _enviar("../php/update.php",{"sql":sql})
            .done(function( data ){
                ////var rs = JSON.parse(data);
				if(data=="1"){
					/////
				}else{
					alert(data)
				}
                
            })


}catch(e){
  alert(e.message)
}
}



 function borrar(){
   var id=$("#id").val()
     if(id==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from ingresos where id='"+id+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $(".modal").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
       // id_producto="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
       // $("#loading").modal('hide');
    })
}

function reimprimir(id){

    window.open('recibo_ingreso.php?id='+id, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

}

function imprimir(){
$.get("ultimo_registro.php?usuario="+myUser+"&funcion=ingresos",function(data,tx)
{
  if(tx=="success"){
    var id_ = data;
    window.open('recibo_ingreso.php?id='+id_, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

  }
})
  
}

/////checkCaja()

function checkCaja(){
    var sql = "select * from cajas where nombre='" + myCaja + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
         var estado="";
        for (var i in rs.data) {
          
          estado = rs.data[i].estado;
		  
		  
        }
       if(estado!="Abierta"){
		   window.location.href="estado_caja.php";
	   }

      })
}
    


$(function(){
  
  if(n==1){
    $("#modalIngreso").modal('show');
    $("#monto").focus();

  }
})

        </script>



